Examples

PUT /api/models/980190962
{
  "model": {
    "name": "RHEV 123",
    "hardware_model": "",
    "vendor_class": "",
    "info": "Virtual Machine"
  }
}
200
{
  "info": "Virtual Machine",
  "created_at": "2026-05-13 11:15:22 UTC",
  "updated_at": "2026-05-13 11:15:28 UTC",
  "vendor_class": "",
  "hardware_model": "",
  "id": 980190962,
  "name": "RHEV 123",
  "hosts_count": 0
}

Params

Param name Description
location_id
optional

Set the current location context for the request

Validations:

  • Must be a Integer

organization_id
optional

Set the current organization context for the request

Validations:

  • Must be a Integer

id
required

Validations:

  • Must be a String

model
required

Validations:

  • Must be a Hash

model[name]
optional

Validations:

  • Must be a String

model[info]
optional , nil allowed

Validations:

  • Must be a String

model[vendor_class]
optional , nil allowed

Validations:

  • Must be a String

model[hardware_model]
optional , nil allowed

Validations:

  • Must be a String